Get Advertiser by ID - DEPRECATED

Returns details of an Advertiser by ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

GET /advertiser/getAdvertiser?id=<advertiser ID>

Response

JSON Fields Type Description
messages Object Array An array of any error messages.
messages[].level String Error level.
messages[].code String Error code.
messages[].message String Error message.
entity Object An advertiser object.
entity.id Number Advertiser ID.
entity.name String Advertiser name.
entity.agencyId Number Agency ID to which the advertiser belongs.
entity.currency String Currency displayed for pricing
entity.category String Business category for advertiser
See reference table in Advertiser summary
entity.timezoneName String The abbreviation of the Advertiser’s time zone.
entity.externalAdvertiserId String External ID for the Advertiser

Example

Request

curl -u <user>:<password> https://sandbox-api.viant.com/v1/advertiser/getAdvertiser?id=456

Response

{
  "messages": [],
  "entity": {
    "id": 456,
    "name": "Old Advertiser",
    "agencyId": 123,
    "currency": "USD",
    "category": "IAB1",
    "timezoneName": "ET",
    "externalAdvertiserId": "123#Test"
  }
}
Query Params
int32
required
Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json